org.apache.activemq.artemis.jms.client

## Class DefaultConnectionProperties

- java.lang.Object
- - org.apache.activemq.artemis.jms.client.DefaultConnectionProperties

-     public class DefaultConnectionProperties
      extends Object

  This class will provide default properties for constructors

  Name | Default Value
  AMQ_HOST or org.apache.activemq.AMQ_HOST | localhost
  AMQ_PORT or org.apache.activemq.AMQ_PORT | 61616
  BROKER_BIND_URL or org.apache.activemq.BROKER_BIND_URL | tcp://${AMQ_HOST}:${AMQ_PORT}
  AMQ_USER or org.apache.activemq.AMQ_USER | null
  AMQ_PASSWORD or org.apache.activemq.AMQ_PASSWORD | null

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AMQ_HOST`
    `static String` | `AMQ_PASSWORD`
    `static String` | `AMQ_PORT`
    `static String` | `AMQ_USER`
    `static String` | `BROKER_BIND_URL`
    `static String` | `DEFAULT_BROKER_BIND_URL`
    `static String` | `DEFAULT_BROKER_HOST`
    `static int` | `DEFAULT_BROKER_PORT`
    `static String` | `DEFAULT_BROKER_URL`
    `static String` | `DEFAULT_PASSWORD`
    `static String` | `DEFAULT_USER`
    `static String` | `PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultConnectionProperties()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `initialize()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AMQ_HOST

          public static final String AMQ_HOST

      See Also:
        Constant Field Values

    - #### AMQ_PORT

          public static final String AMQ_PORT

      See Also:
        Constant Field Values

    - #### AMQ_USER

          public static final String AMQ_USER

      See Also:
        Constant Field Values

    - #### AMQ_PASSWORD

          public static final String AMQ_PASSWORD

      See Also:
        Constant Field Values

    - #### BROKER_BIND_URL

          public static final String BROKER_BIND_URL

      See Also:
        Constant Field Values

    - #### PREFIX

          public static final String PREFIX

      See Also:
        Constant Field Values

    - #### DEFAULT_BROKER_HOST

          public static String DEFAULT_BROKER_HOST

    - #### DEFAULT_BROKER_PORT

          public static int DEFAULT_BROKER_PORT

    - #### DEFAULT_BROKER_BIND_URL

          public static String DEFAULT_BROKER_BIND_URL

    - #### DEFAULT_BROKER_URL

          public static String DEFAULT_BROKER_URL

    - #### DEFAULT_USER

          public static String DEFAULT_USER

    - #### DEFAULT_PASSWORD

          public static String DEFAULT_PASSWORD

  - ### Constructor Detail

    - #### DefaultConnectionProperties

          public DefaultConnectionProperties()

  - ### Method Detail

    - #### initialize

          public static void initialize()

Copyright © 2018 The Apache Software Foundation. All rights reserved.